@import "../../assets/mixins/variables.less";

.work-detail-container {
  position: relative;
  animation: slideOut 0.75s forwards;
  background: #f4f1ec;
  .banner {
    color: @white;
    position: relative;
    background: @work-banner-bg-color;
    text-align: center;
    padding: 0 0 15px;
    .head-text {
      position: absolute;
      top: 0;
      left: 0;
    }
  }
  a.bold-text {
    font-size: 20px;
    font-family: "Futura-Regular";
    color: @white;
  }
  .back-icon {
    margin-top: 2px;
  }
  .viewercontainer {
    width: 75%;
    background: #fff;
    margin: auto;
    padding: 50px;
    overflow: hidden;
    min-height: 300px;
    position: relative;
    margin-top: -50px;
    h2,
    h3 {
      font-weight: bold;
      color: @card-text-color;
    }
    p {
      font-size: 18px;
      animation: fadeIn 2s;
      font-weight: bold;
    }
    .hvr-icon-wobble-horizontal {
      background: #D51635;
      padding: 10px;
      width: 45px;
      height:45px;
      border-radius: 50%;
      span {           
        display: inline-block;
        padding: 6px 6px;
        -webkit-transform: rotate(135deg);
        transform: rotate(45deg);
        border-radius: 0px 3px 3px 0px;
        position: relative;
        right: -6px;
        top: -4px;
        border: solid #fff;
        border-width: 0 3px 3px 0;
      }
    }
  }
  .asidePane {
    padding: 15px 0;
    border-bottom: 1px solid #cdcdcd;
    font-weight: bold;
  }

  .asidePane.padT10 {
    padding-top: 10px;
  }

  .asidePane.noBorder {
    border: none;
  }

  .scrollToImages {
    width: 40px;
    height: 40px;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    position: absolute;
    cursor: pointer;
    right: 50px;
    top: 50px;
  }
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
.project-screenshot {
  position: relative;
  height: 100vh;
  a {
    left: 78px;
    top: 120px;
    position: absolute;
    span {
      border: solid #fff;
      border-width: 0 3px 3px 0;
      display: inline-block;
      padding: 6px 6px;
      transform: rotate(135deg);
      border-radius: 0px 3px 3px 0px;
      position: relative;
      right: -7px;
      top: -2px;
    }
  }
  .backbtn,
  .topbtn {
    background: #d51635;
    padding: 10px;
    border-radius: 50%;
    height: 45px;
    width: 45px;
    animation: right-to-left 0.5s ease 1 0.5s both;
  }
  a.topbtn {
    right: 30px !important;
    top: inherit !important;
    position: fixed;
    left: inherit;
    cursor: pointer;
    bottom: 30px;
    > span {
      transform: rotate(225deg) !important;
      right: -5px;
      top: 1px;
    }
  }
}
span.sticky-backarrow {
  width: 45px;
  height: 45px;
  background: #d51635;
  padding: 10px;
  border-radius: 50%;
  height: 45px;
  display: inline-block;
  width: 45px;
  -webkit-animation: right-to-left 0.5s ease 1 0.5s both;
  animation: right-to-left 0.5s ease 1 0.5s both;
  margin-right: 18px;
  text-align: center;
}

span.sticky-backarrow > img {
  margin: 0 !important;
  padding: 0 !important;
  margin-left: -2px !important;
}

a.sticky-back {
  position: fixed;
  left: 40px;
  top: 53px;
  z-index: 99;
}